#
# spec file for package strip-nondeterminism
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           strip-nondeterminism
Version:        0.029
Release:        bp153.1.17
Summary:        A tool for stripping non-deterministic information
License:        GPL-3.0+
Group:          Development/Libraries/Perl
Url:            https://anonscm.debian.org/git/reproducible/strip-nondeterminism.git
Source:         http://http.debian.net/debian/pool/main/s/strip-nondeterminism/strip-nondeterminism_%{version}.orig.tar.gz
Source2:        rpmmacros
Source3:        strip-all-nondeterminism
# PATCH-FIX-OPENSUSE - apk files misdetected as OOXML
Patch0:         strip-nondeterminism-0.029-fix-apk.patch
# PATCH-FIX-UPSTREAM https://github.com/ReproducibleBuilds/strip-nondeterminism/pull/4
Patch1:         strip-nondeterminism-0.029-zipfix.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl-base
BuildRequires:  perl-macros
BuildRequires:  perl(Archive::Zip)
Requires:       perl-base
Requires:       perl(Archive::Zip)
%{perl_requires}

%description
File::StripNondeterminism is a Perl module for stripping bits of
non-deterministic information, such as timestamps and file system
order, from files such as gzipped files, ZIP archives, and Jar files.
It can be used as a post-processing step to make a build reproducible,
when the build process itself cannot be made deterministic.  It is used
as part of the Reproducible Builds project.

strip-nondeterminism contains the File::StripNondeterminism Perl module, 
and the strip-nondeterminism command line utility.

%prep
%setup -q -c -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
mkdir -p %buildroot/etc/rpm/ %buildroot/%{_bindir}/
install -p %{SOURCE2} %buildroot/etc/rpm/macros.strip-nondeterminism
install -p %{SOURCE3} -m 755 %buildroot/%{_bindir}/
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc README TODO COPYING
/etc/rpm/macros.strip-nondeterminism

%changelog
* Mon Jul 10 2017 bwiedemann@suse.com
- Add strip-all-nondeterminism script to make this easier to use correctly
- Add strip-nondeterminism-0.029-zipfix.patch
  to handle files without permissions in .zip files
* Sun May  7 2017 bwiedemann@suse.com
- add rpm macro to use in spec files
* Sun Jan  1 2017 bwiedemann@suse.com
- update to version 0.029
  + Add strip-nondeterminism-0.029-fix-apk.patch to fix tests
* Tue Mar  8 2016 bwiedemann@suse.com
- initial package version 0.016
